Package com.sas.services.information.metadata

# Class OMRSPDSServer

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRSoftwareComponent
com.sas.services.information.metadata.OMRServer
com.sas.services.information.metadata.OMRServerComponent
com.sas.services.information.metadata.OMRSPDSServer

All Implemented Interfaces:
  `MetadataInterface`, `ServerComponentInterface`, `ServerInterface`, `SoftwareComponentInterface`, `SPDSServerInterface`, `PublicObjectInterface`, `com.sas.storage.editableproperties.SubstitutionProperties`, `Serializable`, `Remote`

public class OMRSPDSServer extends OMRServerComponent implements SPDSServerInterface

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.sas.util.UsageVersion`
  `CURRENT_VERSION`
  `static final com.sas.util.UsageVersion`
  `OLDEST_VERSION`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

  ### Fields inherited from interface com.sas.storage.editableproperties.SubstitutionProperties

  `PROPERTY_SUFFIX_DIRPATH, PROPERTY_SUFFIX_FILEPATH, PROPERTY_SUFFIX_HOST, PROPERTY_SUFFIX_PORT, PROPERTY_SUFFIX_URI`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `OMRSPDSServer()`
  ``
  `OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl o)`
  ``
  `OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o)`
  `protected`
  `OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o, Class theClass)`
  `protected`
  `OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl o, Class theClass)`
  ``
  `OMRSPDSServer(com.sas.metadata.remote.ServerComponent o)`
  `protected`
  `OMRSPDSServer(com.sas.metadata.remote.ServerComponent o, Class theClass)`
  ``
  `OMRSPDSServer(RepositoryInterface repos, String name, FolderInterface parent)`
  `protected`
  `OMRSPDSServer(RepositoryInterface repos, String name, FolderInterface parent, Class theClass)`
  `protected`
  `OMRSPDSServer(Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.sas.storage.editableproperties.PropertyList`
  `getSubstitutionProperties()`
  `String`
  `getType()`
  Get the object type.
  `void`
  `setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map)`

  ### Methods inherited from class com.sas.services.information.metadata.OMRServerComponent

  `getInitProcesses, setRepository`

  ### Methods inherited from class com.sas.services.information.metadata.OMRServer

  `addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, addSourceConnection, getApplicationProtocol, getComputeTasks, getConnectionProperties, getDataPackages, getDescriptiveComponent, getDomains, getHost, getInstallationLocation, getIsLicensed, getMachine, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, getSourceConnections, getTcpPort, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, removeSourceConnection, setApplicationProtocol, setHost, setInstallationLocation, setIsLicensed, setMachine, setName, setTcpPort`

  ### Methods inherited from class com.sas.services.information.metadata.OMRSoftwareComponent

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getClassIdentifier, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPlatform, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setClassIdentifier, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setPlatform, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.ServerComponentInterface

  `getInitProcesses`

  ### Methods inherited from interface com.sas.services.information.metadata.ServerInterface

  `addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, addSourceConnection, getApplicationProtocol, getClassIdentifier, getComputeTasks, getConnectionProperties, getDataPackages, getDescriptiveComponent, getDomains, getHost, getInstallationLocation, getIsLicensed, getMachine, getPlatform, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, getSourceConnections, getTcpPort, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, removeSourceConnection, setApplicationProtocol, setClassIdentifier, setHost, setInstallationLocation, setIsLicensed, setMachine, setPlatform, setTcpPort`

  ### Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

- ## Field Details

  - ### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

  - ### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

- ## Constructor Details

  - ### OMRSPDSServer

    public OMRSPDSServer() throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    public OMRSPDSServer(com.sas.metadata.remote.ServerComponent o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    public OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    public OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    public OMRSPDSServer(RepositoryInterface repos, String name, FolderInterface parent) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    protected OMRSPDSServer(Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    protected OMRSPDSServer(com.sas.metadata.remote.ServerComponent o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    protected OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    protected OMRSPDSServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRSPDSServer

    protected OMRSPDSServer(RepositoryInterface repos, String name, FolderInterface parent, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### getType

    public String getType() throws RemoteException
    Description copied from class: `Metadata`
    Get the object type. Subclasses of Metadata will return a repository-neutral type string. If no subclass exists, Metadata returns the repository-specific type.
    Specified by:
      `getType` in interface `MetadataInterface`
    Overrides:
      `getType` in class `OMRServerComponent`
    Returns:
      A type string for the object.
    Throws:
      `RemoteException` - in the event of remote object failure

  - ### getSubstitutionProperties

    public com.sas.storage.editableproperties.PropertyList getSubstitutionProperties()
    Specified by:
      `getSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
    Overrides:
      `getSubstitutionProperties` in class `OMRServerComponent`

  - ### setSubstitutionProperties

    public void setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map) throws com.sas.storage.editableproperties.UnexpectedSubstitutionException
    Specified by:
      `setSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
    Overrides:
      `setSubstitutionProperties` in class `OMRServerComponent`
    Throws:
      `com.sas.storage.editableproperties.UnexpectedSubstitutionException`